<div class="container-fluid" style="padding-top: 25px; padding-bottom: 25px;">
    <div class="row">
        <div class="col-lg-2"></div>
        <form class="col-lg-8" [formGroup]="contactForm" (ngSubmit)="submitForm(contactForm.value)">

            <div class="form-group">
                <div class="alert alert-danger" *ngIf="name.errors?.required"> Name is required </div>
                <label for="name"> Name: </label>
                <input id="name" type="text" class="form-control" formControlName="name">
            </div>
            <div class="form-group">
                <div class="alert alert-danger" *ngIf="email.errors?.required"> Email is required </div>
                <div class="alert alert-danger" *ngIf="email.errors?.email"> Email not valid </div>
                <label for="email"> Email: </label> 
                <input id="email" type="text" class="form-control" formControlName="email">
            </div>
            <div class="form-group">
                <div class="alert alert-danger" *ngIf="subject.errors?.required"> Subject is required </div>
                <label for="subject"> Subject: </label> 
                <input id="subject" type="text" class="form-control" formControlName="subject">
            </div>
            <div class="form-group">
                <div class="alert alert-danger" *ngIf="message.errors?.required"> Message is required </div>
                <div class="alert alert-danger" *ngIf="message.errors?.minlength"> Message too short </div>
                <label for="message"> Message: </label>
                <textarea class="form-control" id="message" rows="10" formControlName="message"></textarea>
            </div>
            <div class="form-group">
                <div class="alert alert-success text-center" *ngIf="submitedSuccessfuly"> Message sent ! </div>
            </div>
            <div class="d-flex justify-content-center">
                <button class="btn btn-secondary" type="submit" [disabled]="!contactForm.valid"> Send message </button>
            </div>
            
        </form>
        <div class="col-lg-2"></div>
    </div>
</div>